This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 596638 - Review Request: maven-antrun-plugin - Maven AntRun Plugin
Review Request: maven-antrun-plugin - Maven AntRun Plugin
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Guido Grazioli
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-27 04:19 EDT by Alexander Kurtakov
Modified: 2010-05-28 04:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-28 04:55:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
guido.grazioli: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Alexander Kurtakov 2010-05-27 04:19:17 EDT
Spec URL: http://akurtakov.fedorapeople.org/maven-antrun-plugin.spec
SRPM URL: http://akurtakov.fedorapeople.org/maven-antrun-plugin-1.4-1.fc13.src.rpm
Description: Runs Ant scripts embedded in the POM
Comment 1 Alexander Kurtakov 2010-05-27 06:22:00 EDT
Successful build in dist-f14-maven221:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2212179
Comment 2 Guido Grazioli 2010-05-27 06:53:48 EDT
OK - rpmlint output:
maven-antrun-plugin.spec: W: invalid-url Source0: maven-antrun-plugin-1.4.tar.xz
maven-antrun-plugin.noarch: W: no-documentation
maven-antrun-plugin.noarch: W: non-conffile-in-etc /etc/maven/fragments/maven-antrun-plugin
(false positives)
OK - The package must be named according to the Package Naming Guidelines.
OK - The spec file name must match the base package %{name}
OK - The package must meet the Packaging Guidelines
OK - The package must meet the Java Packaging Guidelines
OK - If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc
OK - The package must be licensed with a Fedora approved license and
meet the Licensing Guidelines (license is ASL 2.0)
NA - Every binary RPM package which stores shared library files must
call ldconfig in %post and %postun 
OK - The package MUST successfully compile and build
koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2212179
(against dist-f14-maven221 target)
OK - The spec file must be written in American English.
OK - The spec file for the package MUST be legible.
OK - The sources used to build the package must match the upstream source, as
provided in the spec URL. (exported from svn)
NA - The spec file MUST handle locales properly 
NA - package not relocatable
OK - A package must own all directories that it creates
OK - A Fedora package must not list a file more than once in the spec file's
%files listings
OK - Permissions on files must be set properly
OK - Each package must have a %clean section
OK - Each package must consistently use macros
NA - The package must contain code, or permissable content (no content)
NA - Large documentation files must go in a -doc subpackage (no large doc)
OK - If a package includes something as %doc, it must not affect the runtime of
the application
NA - Header files must be in a -devel package
NA - Static libraries must be in a -static package (no static package)
NA - Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
OK - Packages must NOT contain any .la libtool archives
NA - Packages containing GUI applications MUST include a .desktop file 
OK - No file conflicts with other packages and no general names.
OK - At the beginning of %install, each package MUST run rm -rf %{buildroot}
OK - All filenames in rpm packages must be valid UTF-8
OK - The package does not yet exist in Fedora. The Review Request is not a
duplicate. 
OK - %{?dist} tag is used in release 


Specfile in very good shape, package APPROVED.
(you could remove the comment in %setup but thats just aesthetic)
Comment 3 Alexander Kurtakov 2010-05-27 07:10:04 EDT
Thanks Guido,
Can you do https://bugzilla.redhat.com/show_bug.cgi?id=596684 too :)
Comment 4 Alexander Kurtakov 2010-05-27 07:15:24 EDT
New Package CVS Request
=======================
Package Name: maven-antrun-plugin
Short Description: Maven AntRun Plugin
Owners: akurtakov
Branches: 
InitialCC:
Comment 5 Guido Grazioli 2010-05-27 07:36:20 EDT
(In reply to comment #3)
> Thanks Guido,
> Can you do https://bugzilla.redhat.com/show_bug.cgi?id=596684 too :)    

Its already there ;)
I asked for a better summary there, if you agree it could be useful here also
Comment 6 Dennis Gilmore 2010-05-27 18:46:24 EDT
CVS Done
Comment 7 Alexander Kurtakov 2010-05-28 04:55:48 EDT
Build in koji.
http://koji.fedoraproject.org/koji/taskinfo?taskID=2215130

Note You need to log in before you can comment on or make changes to this bug.